.TH "MSHRABLE" "1" 
.SH "NAME" 
mshrable \(em Generate mesh from surface file 
.SH "SYNOPSIS" 
.PP 
\fBmshrable\fR [\-f \fIFILE\fR]  
.SH "DESCRIPTION" 
.PP 
\fBmshrable\fR generates a mesh from a 
surface file.  It uses mshr, which is the mesh generation 
component of FEniCS. It generates simplicial DOLFIN meshes in 2D 
and 3D from geometries described by Constructive Solid Geometry 
(CSG) or from surface files, utilizing CGAL and Tetgen as mesh 
generation backends. 
 
.SH "OPTIONS" 
.PP 
 
.IP "\-o [\-\-outfile] \fIarg\fR" 10 
Filename of generated Dolfin mesh. 
 
.IP "\-r [\-\-resolution] \fIarg (=15)\fR" 10 
Resolution of result mesh. 
 
.IP "\-s [\-\-stats]" 10 
Write some statistics of the mesh to stdout. 
 
.IP "\-\-polyout \fIarg\fR" 10 
Write the polyhedron to .poly which Tetgen can read 
(and do not create a mesh). 
 
.IP "\-\-polystats" 10 
Write statistics of polyhedron (and do not create a 
mesh). 
 
.IP "\-b [\-\-backend] \fIarg (=cgal)\fR" 10 
Use 3D mesh generation backend [tetgen|cgal]. 
 
.IP "\-\-degenerate_tolerance \fIarg (=9.9999999999999998e-13)\fR" 10 
Tolerance for considering a facet as degenerate. Set 
to 0 to not remove degenerate facets. 
 
.IP "\-\-check-mesh" 10 
Check consistency of output mesh (most for debugging/testing. 
 
.IP "\-v [\-\-verbose]" 10 
Output more information about what is going on. 
 
.IP "\-h [\-\-help]" 10 
write help message. 
 
.SH "SEE ALSO" 
.PP 
dolfin-convert (1), dolfin-order (1) 
.SH "AUTHOR" 
.PP 
\fBmshrable\fR was written by Benjamin 
Kehlet benjamik@simula.no. This man page was written by 
Drew Parsons dparsons@debian.org. 
 
.\" created by instant / docbook-to-man 
